Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/environments/environment.prod.ts
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/environments/environment.prod.ts	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/environments/environment.prod.ts	(revision 59297)
@@ -2,6 +2,7 @@
 
 export let properties: EnvProperties = {
   environment:"production",
+  adminToolsPortalType: "community",
   enablePiwikTrack: false,
   useCache: false,
   metricsAPIURL: "https://services.openaire.eu/usagestats/",
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/package.json
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/package.json	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/package.json	(revision 59297)
@@ -27,7 +27,6 @@
     "@angular/router": "7.2.14",
     "@nguniversal/express-engine": "^6.0.0",
     "@types/express": "^4.16.1",
-    "@types/node": "^6.0.101",
     "angular-datatables": "^4.4.1",
     "citation-js": "^0.3.4",
     "clipboard": "^1.5.16",
@@ -54,7 +53,7 @@
     "@types/jasmine": "~2.8.8",
     "@types/jasminewd2": "~2.0.3",
     "@types/jquery": "^3.3.29",
-    "@types/node": "~6.14.6",
+    "@types/node": "^8.0.30",
     "codelyzer": "~4.5.0",
     "jasmine-core": "~2.99.1",
     "jasmine-spec-reporter": "~4.2.1",
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/app.component.ts
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/app.component.ts	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/app.component.ts	(revision 59297)
@@ -11,6 +11,7 @@
 import {Session, User} from './openaireLibrary/login/utils/helper.class';
 import {HelperFunctions} from './openaireLibrary/utils/HelperFunctions.class';
 import {UserManagementService} from './openaireLibrary/services/user-management.service';
+import {ConnectHelper} from "./openaireLibrary/connect/connectHelper";
 
 declare var UIkit: any;
 
@@ -75,6 +76,7 @@
           this._communitiesService.updateCommunities(this.properties, this.properties.communityAPI + 'communities');
           this.route.queryParams.subscribe(params => {
             this.communityId = (params['communityId']) ? params['communityId'] : '';
+            ConnectHelper.setPortalTypeFromPid(this.communityId);
 
             this.communityType = null;
             this.menuItems = [];
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/helpcontent/page-help-content-form.component.ts
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/helpcontent/page-help-content-form.component.ts	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/helpcontent/page-help-content-form.component.ts	(revision 59297)
@@ -74,7 +74,7 @@
     public get form() {
         return this._fb.group({
             page : [this.pageId, Validators.required],
-            community : this.communityPid,
+            portal : this.communityPid,
             placement : ['', Validators.required],
             content : ['', Validators.required],
             order : [1, Validators.required],
@@ -87,7 +87,7 @@
     public reset() {
         this.myForm.patchValue({
             page : '',
-            community : this.communityPid,
+            portal : this.communityPid,
             placement : '',
             content : [''],
             order : 1,
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/helpcontent/page-help-contents.component.html
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/helpcontent/page-help-contents.component.html	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/helpcontent/page-help-contents.component.html	(revision 59297)
@@ -103,7 +103,7 @@
                                                 <div class="page" href="#">{{check.pageHelpContent.page.name}}</div>
                                             </td>
                                             <td *ngIf="!selectedPageId">
-                                                <div class="community" href="#">{{check.pageHelpContent.community.name}}</div>
+                                                <div class="community" href="#">{{check.pageHelpContent.portal.name}}</div>
                                             </td>
                                             <td>
 <!--                                          <div class="content" [innerHtml]="check.pageHelpContent.content | safeHtml"></div>-->
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/helpcontent/edit-page-help-content.component.ts
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/helpcontent/edit-page-help-content.component.ts	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/helpcontent/edit-page-help-content.component.ts	(revision 59297)
@@ -86,9 +86,10 @@
     private getPage(pageId: string) {
       this._helpContentService.getPage(pageId,this.properties.adminToolsAPIURL).subscribe(
         page => {
-          if( (this.communityPid == 'openaire' && !page.openaire)
-            || (this.communityPid == 'connect' && !page.connect)
-            || (this.communityPid != 'openaire' && this.communityPid != 'connect' && !page.communities)) {
+          // if( (this.communityPid == 'openaire' && !page.openaire)
+          //   || (this.communityPid == 'connect' && !page.connect)
+          //   || (this.communityPid != 'openaire' && this.communityPid != 'connect' && !page.communities)) {
+          if(this.properties.adminToolsPortalType != page.portalType) {
             this.router.navigate(['/pageContents'], { queryParams: { "communityId": this.communityPid} });
           } else {
             this.page = page;
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/helpcontent/page-help-contents.component.ts
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/helpcontent/page-help-contents.component.ts	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/helpcontent/page-help-contents.component.ts	(revision 59297)
@@ -105,9 +105,10 @@
 
         this._helpService.getPage(pageId, this.properties.adminToolsAPIURL).subscribe(
             page => {
-                if( (this.selectedCommunityPid == 'openaire' && !page.openaire)
-                    || (this.selectedCommunityPid == 'connect' && !page.connect)
-                    || (this.selectedCommunityPid != 'openaire' && this.selectedCommunityPid != 'connect' && !page.communities)) {
+                // if( (this.selectedCommunityPid == 'openaire' && !page.openaire)
+                //     || (this.selectedCommunityPid == 'connect' && !page.connect)
+                //     || (this.selectedCommunityPid != 'openaire' && this.selectedCommunityPid != 'connect' && !page.communities)) {
+                if(this.properties.adminToolsPortalType != page.portalType) {
                   this.router.navigate(['/pageContents'], { queryParams: { "communityId": this.selectedCommunityPid} });
                 } else {
                   this.page = page;
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/helpcontent/new-page-help-content.component.ts
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/helpcontent/new-page-help-content.component.ts	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/helpcontent/new-page-help-content.component.ts	(revision 59297)
@@ -66,9 +66,10 @@
   private getPage(pageId: string) {
     this._helpContentService.getPage(pageId,this.properties.adminToolsAPIURL).subscribe(
       page => {
-        if( (this.communityPid == 'openaire' && !page.openaire)
-          || (this.communityPid == 'connect' && !page.connect)
-          || (this.communityPid != 'openaire' && this.communityPid != 'connect' && !page.communities)) {
+        // if( (this.communityPid == 'openaire' && !page.openaire)
+        //   || (this.communityPid == 'connect' && !page.connect)
+        //   || (this.communityPid != 'openaire' && this.communityPid != 'connect' && !page.communities)) {
+        if(this.properties.adminToolsPortalType != page.portalType) {
           this.router.navigate(['/pageContents'], { queryParams: { "communityId": this.communityPid} });
         } else {
           this.page = page;
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/community/communities.component.html
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/community/communities.component.html	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/community/communities.component.html	(revision 59297)
@@ -8,7 +8,7 @@
             <form target="BSFormPanel_Admin_1" class="search">
                 <!-- <input #inputstring (keyup.enter)="filterBySearch(inputstring.value)" placeholder="Community name..." type="text" class="uk-input uk-width-medium"/>
                 <button class="uk-button" type="submit">Search</button> -->
-                <input type="text" class="uk-input uk-width-medium" placeholder="Community name..." aria-describedby="sizing-addon2"  [(ngModel)]="keyword"  name="keyword" >
+                <input type="text" class="uk-input uk-width-medium" placeholder="Community name, type..." aria-describedby="sizing-addon2"  [(ngModel)]="keyword"  name="keyword" >
                 <button (click)="filterBySearch(keyword)"  type="submit" class=" uk-button">
                    <span class="uk-icon">
                    <svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="search" ratio="1"><circle fill="none" stroke="#000" stroke-width="1.1" cx="9" cy="9" r="7"></circle><path fill="none" stroke="#000" stroke-width="1.1" d="M14,14 L18,18 L14,14 Z"></path></svg>
@@ -48,6 +48,7 @@
                                         <tr>
                                             <th><input id="allCommunityCheckbox" type="checkbox" (change)="toggleCheckBoxes($event)"></th>
                                             <th>Name</th>
+                                            <th>Type</th>
                                             <th>Actions</th>
                                         </tr>
                                     </thead>
@@ -60,6 +61,9 @@
                                                 <div class="name" href="#">{{check.community.name}}</div>
                                             </td>
                                             <td>
+                                              <div class="type" href="#">{{check.community.type}}</div>
+                                            </td>
+                                            <td>
                                                 <div class="actions" href="#">
                                                     <input title="Edit" src="assets/imgs/icn_edit.png" class="edit uk-margin-small-right" type="image" (click)="editCommunity(i)">
                                                     <input title="Delete" src="assets/imgs/icn_trash.png" class="delete" type="image" (click)="confirmDeleteCommunity(check.community._id)">
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/domain/page.ts
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/domain/page.ts	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/domain/page.ts	(revision 59297)
@@ -6,9 +6,7 @@
     name: string;
     type: string;
     isEnabled: boolean;
-    connect: boolean;
-    communities: boolean;
-    openaire: boolean;
+    portalType: string;
     entities: Entity[] | string[];
     top: boolean;
     bottom: boolean;
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/domain/div-help-content.ts
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/domain/div-help-content.ts	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/domain/div-help-content.ts	(revision 59297)
@@ -4,7 +4,7 @@
 export interface DivHelpContent {
     _id: string;
     divId: DivId | string;
-    community: string | Community;
+    portal: string | Community;
     content: string;
     isActive: boolean;
 }
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/community/communities.component.ts
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/community/communities.component.ts	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/community/communities.component.ts	(revision 59297)
@@ -169,6 +169,7 @@
     public editCommunity(i: number) {
         const community: Community = this.checkboxes[i].community;
         this.formGroup.patchValue(community);
+        this.formGroup.controls['type'].disable();
         // this.updateModal.showModal();
         this.modalErrorMessage = '';
         this.communitiesModalOpen(this.alertModalUpdateCommunity, 'Update', 'Update Community');
@@ -175,9 +176,10 @@
     }
 
     public newCommunity() {
-        this.formComponent.reset();
-        this.modalErrorMessage = '';
-        this.communitiesModalOpen(this.alertModalSaveCommunity, 'Save', 'Add a new Community');
+      this.formGroup.controls['type'].enable();
+      this.formComponent.reset();
+      this.modalErrorMessage = '';
+      this.communitiesModalOpen(this.alertModalSaveCommunity, 'Save', 'Add a new Community');
     }
 
     private communitiesModalOpen(modal: any, title: string, yesBtn: string) {
@@ -223,6 +225,7 @@
           this.communitiesModalOpen(this.alertModalUpdateCommunity, 'Update', 'Update Community');
           this.modalErrorMessage = 'Please fill in all required fields marked with *';
         } else {
+          this.formGroup.controls['type'].enable();
           this._helpContentService.updateCommunity(<Community> this.formGroup.value,
               this.properties.adminToolsAPIURL).subscribe(
               community => {
@@ -257,7 +260,7 @@
     }
 
     public filterCommunities(community: Community): boolean {
-        const textFlag = this.searchText.toString() === '' || (community.name).match(this.searchText) != null;
+        const textFlag = this.searchText.toString() === '' || (community.name || community.type).match(this.searchText) != null;
         return textFlag;
     }
 
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/community/community-form.component.html
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/community/community-form.component.html	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/community/community-form.component.html	(revision 59297)
@@ -1,11 +1,20 @@
 <form [formGroup]="myForm">
-    <div class="form-group" [ngClass]="{'has-error':!myForm.controls.name.valid && myForm.controls.name.dirty}">
-        <label for="communityNameTag">*Community Name</label>
-        <input type="text" class="form-control" formControlName="name" id="pageNameTag" placeholder="Community Name">
-    </div>
-    <div class="form-group" [ngClass]="{'has-error':!myForm.controls.pid.valid && myForm.controls.pid.dirty}">
-        <label for="communityPidTag">*Community persistent id for portal</label>
-        <input type="text" class="uk-input uk-width-medium" formControlName="pid" id="communityPidTag" placeholder="Community Pid">
-    </div>
-    <input type="hidden" formControlName="_id">
+  <div class="form-group" [ngClass]="{'has-error':!myForm.controls.name.valid && myForm.controls.name.dirty}">
+      <label for="portalNameTag">*Portal Name</label>
+      <input type="text" class="form-control" formControlName="name" id="portalNameTag" placeholder="Portal Name">
+  </div>
+  <div class="form-group" [ngClass]="{'has-error':!myForm.controls.type.valid && myForm.controls.type.dirty}">
+    <label for="portalTypeTag">*Portal Type</label>
+    <select formControlName="type" id="portalTypeTag" class="form-control uk-select">
+      <option [value]="'explore'">OpenAIRE Explore Portal</option>
+      <option [value]="'connect'">OpenAIRE Connect Portal</option>
+      <option [value]="'monitor'">OpenAIRE Monitor Portal</option>
+      <option [value]="'community'">OpenAIRE Community Gateway</option>
+    </select>
+  </div>
+  <div class="form-group" [ngClass]="{'has-error':!myForm.controls.pid.valid && myForm.controls.pid.dirty}">
+      <label for="communityPidTag">*Portal persistent id</label>
+      <input type="text" class="uk-input uk-width-medium uk-margin-small-left" formControlName="pid" id="communityPidTag" placeholder="Portal Pid">
+  </div>
+  <input type="hidden" formControlName="_id">
 </form>
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/assets/env-properties.json
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/assets/env-properties.json	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/assets/env-properties.json	(revision 59297)
@@ -1,5 +1,6 @@
 {
   "environment":"development",
+  "adminToolsPortalType": "community",
   "enablePiwikTrack" : false,
   "useCache" : false,
   "metricsAPIURL" : "https://beta.services.openaire.eu/usagestats/",
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/community/community-form.component.ts
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/community/community-form.component.ts	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/community/community-form.component.ts	(revision 59297)
@@ -1,6 +1,5 @@
 import {Component, OnInit, Input} from '@angular/core';
-import {FormGroup, FormArray, FormBuilder, Validators} from "@angular/forms";
-import { HelpContentService } from "../../services/help-content.service";
+import {FormGroup, FormBuilder, Validators} from "@angular/forms";
 
 @Component({
     selector: 'community-form',
@@ -14,30 +13,32 @@
 
     public errorMessage: string;
 
-    constructor(public _fb: FormBuilder, private _helpContentService: HelpContentService) {}
+    constructor(public _fb: FormBuilder) {}
 
     ngOnInit(): void {}
 
     public get form() {
-        return this._fb.group({
-            _id : '',
-            pid: ['', Validators.required],
-            name : ['', Validators.required]
-        });
+      return this._fb.group({
+        _id: '',
+        pid: ['', Validators.required],
+        name: ['', Validators.required],
+        type: ['', Validators.required]
+      });
     }
 
     public reset() {
-        this.myForm.patchValue({
-            name : '',
-            _id : '',
-            pid: ''
-        });
+      this.myForm.patchValue({
+        name : '',
+        _id : '',
+        pid: '',
+        type: ''
+      });
     }
 
     handleError(message: string, error) {
-        if(error == null) {
-            this.reset();
-        }
-        this.errorMessage = message + ' (Server responded: ' + error + ')';
+      if(error == null) {
+        this.reset();
+      }
+      this.errorMessage = message + ' (Server responded: ' + error + ')';
     }
 }
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/divhelpcontent/div-help-content-form.component.ts
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/divhelpcontent/div-help-content-form.component.ts	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/divhelpcontent/div-help-content-form.component.ts	(revision 59297)
@@ -136,7 +136,7 @@
             divId: ['', Validators.required],
             content: ['', Validators.required],
             isActive: true,
-            community: '',
+            portal: this.communityPid,
             _id : '',
         });
     }
@@ -146,7 +146,7 @@
           divId: '',
           content: '',
           isActive: true,
-          community: '',
+          portal: this.communityPid,
           _id : ''
         });
         this.myForm.markAsPristine();
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/divhelpcontent/div-help-contents.component.ts
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/divhelpcontent/div-help-contents.component.ts	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/divhelpcontent/div-help-contents.component.ts	(revision 59297)
@@ -92,9 +92,10 @@
         this.errorMessage = "";
         this._helpService.getPage(pageId, this.properties.adminToolsAPIURL).subscribe(
             page => {
-              if( (this.selectedCommunityPid == 'openaire' && !page.openaire)
-                || (this.selectedCommunityPid == 'connect' && !page.connect)
-                || (this.selectedCommunityPid != 'openaire' && this.selectedCommunityPid != 'connect' && !page.communities)) {
+              // if( (this.selectedCommunityPid == 'openaire' && !page.openaire)
+              //   || (this.selectedCommunityPid == 'connect' && !page.connect)
+              //   || (this.selectedCommunityPid != 'openaire' && this.selectedCommunityPid != 'connect' && !page.communities)) {
+              if(this.properties.adminToolsPortalType != page.portalType) {
                 this.router.navigate(['/classContents'], { queryParams: { "communityId": this.selectedCommunityPid} });
               } else {
                 this.page = page;
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/divhelpcontent/edit-div-help-content.component.ts
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/divhelpcontent/edit-div-help-content.component.ts	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/divhelpcontent/edit-div-help-content.component.ts	(revision 59297)
@@ -82,9 +82,10 @@
     private getPage(pageId: string) {
       this._helpContentService.getPage(pageId,this.properties.adminToolsAPIURL).subscribe(
         page => {
-          if( (this.communityPid == 'openaire' && !page.openaire)
-            || (this.communityPid == 'connect' && !page.connect)
-            || (this.communityPid != 'openaire' && this.communityPid != 'connect' && !page.communities)) {
+          // if( (this.communityPid == 'openaire' && !page.openaire)
+          //   || (this.communityPid == 'connect' && !page.connect)
+          //   || (this.communityPid != 'openaire' && this.communityPid != 'connect' && !page.communities)) {
+          if(this.properties.adminToolsPortalType != page.portalType) {
             this.router.navigate(['/classContents'], { queryParams: { "communityId": this.communityPid} });
           } else {
             this.page = page;
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/divhelpcontent/new-div-help-content.component.ts
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/divhelpcontent/new-div-help-content.component.ts	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/divhelpcontent/new-div-help-content.component.ts	(revision 59297)
@@ -64,9 +64,10 @@
     private getPage(pageId: string) {
       this._helpContentService.getPage(pageId,this.properties.adminToolsAPIURL).subscribe(
         page => {
-          if( (this.communityPid == 'openaire' && !page.openaire)
-            || (this.communityPid == 'connect' && !page.connect)
-            || (this.communityPid != 'openaire' && this.communityPid != 'connect' && !page.communities)) {
+          // if( (this.communityPid == 'openaire' && !page.openaire)
+          //   || (this.communityPid == 'connect' && !page.connect)
+          //   || (this.communityPid != 'openaire' && this.communityPid != 'connect' && !page.communities)) {
+          if(this.properties.adminToolsPortalType != page.portalType) {
             this.router.navigate(['/classContents'], { queryParams: { "communityId": this.communityPid} });
           } else {
             this.page = page;
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/environments/environment.ts
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/environments/environment.ts	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/environments/environment.ts	(revision 59297)
@@ -7,6 +7,7 @@
 
 export let properties: EnvProperties = {
   environment: 'development',
+  adminToolsPortalType: "community",
   enablePiwikTrack: false,
   useCache: false,
   metricsAPIURL: 'https://beta.services.openaire.eu/usagestats/',
@@ -54,7 +55,7 @@
   feedbackmailForMissingEntities: 'feedback@openaire.eu',
   cacheUrl: 'http://scoobydoo.di.uoa.gr:3000/get?url=',
 
-  adminToolsAPIURL: 'http://duffy.di.uoa.gr:8080/uoa-admin-tools/',
+  adminToolsAPIURL: 'http://duffy.di.uoa.gr:8080/uoa-admin-tools-branch/',
 
   adminToolsCommunity: 'openaire',
   communityAPI: 'https://dev-openaire.d4science.org/openaire/community/',
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/dashboard/dashboard.component.ts
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/dashboard/dashboard.component.ts	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/dashboard/dashboard.component.ts	(revision 59297)
@@ -8,6 +8,7 @@
 import {EnvProperties} from '../../openaireLibrary/utils/properties/env-properties';
 import {HelperFunctions} from "../../openaireLibrary/utils/HelperFunctions.class";
 import {Title} from '@angular/platform-browser';
+import {ConnectHelper} from "../../openaireLibrary/connect/connectHelper";
 
 @Component({
     selector: 'dashboard',
@@ -30,6 +31,8 @@
         this.route.queryParams.subscribe(data => {
           HelperFunctions.scroll();
           this.communityId = ((data['communityId']) ? data['communityId'] : data['community']);
+          ConnectHelper.setPortalTypeFromPid(this.communityId);
+
           this._communityService.getCommunity(this.properties, this.properties.communityAPI + this.communityId).subscribe (
             community => {
                 this.communityType = community.type;
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/divId/divId-form.component.html
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/divId/divId-form.component.html	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/divId/divId-form.component.html	(revision 59297)
@@ -42,28 +42,25 @@
       </div>
   </div>
 
-  <div class="form-group uk-grid">
-    <label class="uk-width-2-3">Select if this class exists in OpenAIRE portal</label>
-    <label class="uk-width-1-3 checkbox">
-      <span style="font-weight: normal;">openaire</span>
-      <input tabindex="0" type="checkbox" formControlName="openaire">
+  <div [ngClass]="{'has-error':!myForm.controls.portalType.valid && myForm.controls.portalType.dirty}" class="form-group" uk-grid>
+    <label class="uk-width-1-1 uk-margin-small-bottom">
+      Class exists in:
     </label>
-  </div>
-
-  <div class="form-group uk-grid uk-margin-remove-top">
-    <label class="uk-width-2-3">Select if this class exists in connect portals</label>
-    <label class="uk-width-1-3 checkbox">
-      <span style="font-weight: normal;">connect</span>
-      <input tabindex="0" type="checkbox" formControlName="connect">
+    <label class="uk-width-1-1 radio uk-margin-large-left">
+      <span class="uk-margin-small-right" style="font-weight: normal;">OpenAIRE portal</span>
+      <!--        <input tabindex="0" type="checkbox" formControlName="openaire">-->
+      <input type="radio" value="explore" formControlName="portalType">
     </label>
-  </div>
-
-  <div class="form-group uk-grid uk-margin-remove-top">
-    <label class="uk-width-2-3">Select if this class exists in connect portals (community specific)</label>
-    <label class="uk-width-1-3 checkbox">
-      <span style="font-weight: normal;">communities</span>
-      <input tabindex="0" type="checkbox" formControlName="communities">
+    <label class="uk-width-1-1 radio uk-margin-large-left">
+      <span class="uk-margin-small-right" style="font-weight: normal;">OpenAIRE Connect portal</span>
+      <!--        <input tabindex="0" type="checkbox" formControlName="connect">-->
+      <input type="radio" value="connect" formControlName="portalType">
     </label>
+    <label class="uk-width-1-1 radio uk-margin-large-left">
+      <span class="uk-margin-small-right" style="font-weight: normal;">Communities' Gateway</span>
+      <!--        <input tabindex="0" type="checkbox" formControlName="communities">-->
+      <input type="radio" value="community" formControlName="portalType">
+    </label>
   </div>
 
   <input type="hidden" formControlName="_id">
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/divId/divId-form.component.ts
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/divId/divId-form.component.ts	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/divId/divId-form.component.ts	(revision 59297)
@@ -104,29 +104,25 @@
     }
 
     public get form() {
-        return this._fb.group({
-            _id: '',
-            name : ['', Validators.required],
-            pages: this._fb.array([]),
-            openaire: true,
-            connect: false,
-            communities: true,
-            isCollapsed: [true]
-        });
+      return this._fb.group({
+        _id: '',
+        name : ['', Validators.required],
+        pages: this._fb.array([]),
+        portalType: ['', Validators.required],
+        isCollapsed: [true]
+      });
     }
 
     public reset() {
-        this.myForm.patchValue({
-            _id : '',
-            name : '',
-            openaire: true,
-            connect: false,
-            communities: true,
-            isCollapsed: [true]
-        });
+      this.myForm.patchValue({
+        _id : '',
+        name : '',
+        portalType: '',
+        isCollapsed: [true]
+      });
 
-        this.setPages([]);
-        this.formPages = [];
+      this.setPages([]);
+      this.formPages = [];
     }
 
     public get pages(): FormArray {
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/divId/divIds.component.html
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/divId/divIds.component.html	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/divId/divIds.component.html	(revision 59297)
@@ -8,7 +8,7 @@
             <form target="BSFormPanel_Admin_1" class="search">
                 <!-- <input #inputstring (keyup.enter)="filterBySearch(inputstring.value)" placeholder="Class name..." type="text" class="uk-input uk-width-medium"/>
                 <button class="uk-button" type="submit">Search</button> -->
-                <input type="text" class="uk-input uk-width-medium" placeholder="Class name..." aria-describedby="sizing-addon2"  [(ngModel)]="keyword"  name="keyword" >
+                <input type="text" class="uk-input uk-width-medium" placeholder="Class name, portal type..." aria-describedby="sizing-addon2"  [(ngModel)]="keyword"  name="keyword" >
                 <button (click)="filterBySearch(keyword)"  type="submit" class=" uk-button">
                    <span class="uk-icon">
                    <svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="search" ratio="1"><circle fill="none" stroke="#000" stroke-width="1.1" cx="9" cy="9" r="7"></circle><path fill="none" stroke="#000" stroke-width="1.1" d="M14,14 L18,18 L14,14 Z"></path></svg>
@@ -58,6 +58,7 @@
                                             <th>Name</th>
                                             <!-- <th>Community</th> -->
                                             <th>Page</th>
+                                            <th>Portal Type</th>
                                             <th>Actions</th>
                                         </tr>
                                     </thead>
@@ -79,6 +80,9 @@
                                                 </div>
                                             </td>
                                             <td>
+                                              <div class="portalType" href="#">{{check.divId.portalType}}</div>
+                                            </td>
+                                            <td>
                                                 <div class="actions" href="#">
                                                     <input title="Edit" src="assets/imgs/icn_edit.png" class="edit uk-margin-small-right" type="image" (click)="editDivId(i)">
                                                     <input title="Delete" src="assets/imgs/icn_trash.png" class="delete" type="image" (click)="confirmDeleteDivId(check.divId._id)">
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/divId/divIds.component.ts
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/divId/divIds.component.ts	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/divId/divIds.component.ts	(revision 59297)
@@ -177,6 +177,7 @@
 
         this.formGroup.patchValue(divId);
         this.formComponent.setPages(divId.pages as Page[]);//pageIds);
+        this.formGroup.controls['portalType'].disable();
 
         //this.updateModal.showModal();
         this.divIdsModalOpen(this.alertModalUpdateDivId, "Update", "Update Class");
@@ -183,6 +184,7 @@
     }
 
     public newDivId() {
+        this.formGroup.controls['portalType'].enable();
         this.formComponent.reset();
         this.modalErrorMessage = "";
         this.divIdsModalOpen(this.alertModalSaveDivId, "Save", "Add a new Class");
@@ -227,6 +229,7 @@
           this.divIdsModalOpen(this.alertModalUpdateDivId, "Update", "Update Class");
           this.modalErrorMessage = "Please fill in all required fields marked with *";
         } else {
+          this.formGroup.controls['portalType'].enable();
           this._helpContentService.updateDivId(<DivId> this.formGroup.value, this.properties.adminToolsAPIURL).subscribe(
               divId => {
                 this.divIdUpdatedSuccessfully(divId);
@@ -260,7 +263,7 @@
     }
 
     public filterDivIds(divId : DivId) : boolean {
-        let textFlag = this.searchText.toString() == '' || (divId.name).match(this.searchText) != null;
+        let textFlag = this.searchText.toString() == '' || (divId.name + ' ' + divId.portalType).match(this.searchText) != null;
         return textFlag;
     }
 
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/page/page-form.component.html
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/page/page-form.component.html	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/page/page-form.component.html	(revision 59297)
@@ -70,23 +70,37 @@
       </label>
     </div>
 
-    <div class="form-group" uk-grid>
+    <div [ngClass]="{'has-error':!myForm.controls.portalType.valid && myForm.controls.portalType.dirty}" class="form-group" uk-grid>
       <label class="uk-width-1-1 uk-margin-small-bottom">
-        Select if this page exists in:
+        Page exists in:
       </label>
-      <label class="uk-width-1-1 checkbox uk-margin-large-left">
+      <label class="uk-width-1-1 radio uk-margin-large-left">
         <span class="uk-margin-small-right" style="font-weight: normal;">OpenAIRE portal</span>
-        <input tabindex="0" type="checkbox" formControlName="openaire">
+<!--        <input tabindex="0" type="checkbox" formControlName="openaire">-->
+        <input type="radio" value="explore" formControlName="portalType">
       </label>
-      <label class="uk-width-1-1 checkbox uk-margin-large-left">
+      <label class="uk-width-1-1 radio uk-margin-large-left">
         <span class="uk-margin-small-right" style="font-weight: normal;">OpenAIRE Connect portal</span>
-        <input tabindex="0" type="checkbox" formControlName="connect">
+<!--        <input tabindex="0" type="checkbox" formControlName="connect">-->
+        <input type="radio" value="connect" formControlName="portalType">
       </label>
-      <label class="uk-width-1-1 checkbox uk-margin-large-left">
+      <label class="uk-width-1-1 radio uk-margin-large-left">
         <span class="uk-margin-small-right" style="font-weight: normal;">Communities' Gateway</span>
-        <input tabindex="0" type="checkbox" formControlName="communities">
+<!--        <input tabindex="0" type="checkbox" formControlName="communities">-->
+        <input type="radio" value="community" formControlName="portalType">
       </label>
     </div>
 
+<!--    <div *ngIf="update" class="form-group uk-disabled" uk-grid>-->
+<!--      <label class="uk-width-1-1 radio">-->
+<!--        This page exists in:-->
+<!--        <span class="uk-margin-small-left uk-text-bold">-->
+<!--          <span *ngIf="myForm.value.portalType == 'explore'">OpenAIRE portal</span>-->
+<!--          <span *ngIf="myForm.value.portalType == 'connect'">OpenAIRE Connect portal</span>-->
+<!--          <span *ngIf="myForm.value.portalType == 'community'">Communities' Gateway</span>-->
+<!--        </span>-->
+<!--      </label>-->
+<!--    </div>-->
+
     <input type="hidden" formControlName="_id">
 </form>
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/page/page-form.component.ts
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/page/page-form.component.ts	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/page/page-form.component.ts	(revision 59297)
@@ -104,9 +104,7 @@
             route : ['', Validators.required],
             name : ['', Validators.required],
             isEnabled: '',
-            openaire: true,
-            connect: false,
-            communities: true,
+            portalType: ['', Validators.required],
             top: true,
             bottom: true,
             left: true,
@@ -124,9 +122,7 @@
             name : '',
             type: '',
             isEnabled: '',
-            openaire: true,
-            connect: false,
-            communities: true,
+            portalType: '',
             top: true,
             bottom: true,
             left: true,
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/page/pages.component.html
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/page/pages.component.html	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/page/pages.component.html	(revision 59297)
@@ -26,7 +26,7 @@
             <form target="BSFormPanel_Admin_1" class="search">
                 <!-- <input [(ngModel)]="inputstring" (keyup.enter)="filterBySearch(inputstring)" placeholder="Page name..." type="text" name="searchForm" class="uk-input uk-width-medium"/>
                 <button class="uk-button" type="submit">Search</button> -->
-                <input type="text" class="uk-input uk-width-medium" placeholder="Page name..." aria-describedby="sizing-addon2"  [(ngModel)]="keyword"  name="keyword" >
+                <input type="text" class="uk-input uk-width-medium" placeholder="Page name, portal type..." aria-describedby="sizing-addon2"  [(ngModel)]="keyword"  name="keyword" >
                 <button (click)="filterBySearch(keyword)"  type="submit" class=" uk-button">
                    <span class="uk-icon">
                    <svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="search" ratio="1"><circle fill="none" stroke="#000" stroke-width="1.1" cx="9" cy="9" r="7"></circle><path fill="none" stroke="#000" stroke-width="1.1" d="M14,14 L18,18 L14,14 Z"></path></svg>
@@ -62,6 +62,7 @@
                                             <th *ngIf="!pagesType">Type</th>
                                             <th *ngIf="!isPortalAdministrator">Related Entities</th>
                                             <th>Route</th>
+                                            <th *ngIf="!selectedCommunityPid">Portal Type</th>
                                             <th *ngIf="isPortalAdministrator" >Actions</th>
                                             <th *ngIf="!isPortalAdministrator" class="uk-text-center">Page help texts</th>
                                             <th *ngIf="!isPortalAdministrator && (pageWithDivIds && pageWithDivIds.length > 0)" class="uk-text-center">Class help texts</th>
@@ -91,6 +92,9 @@
                                                 <div class="route" href="#">{{check.page.route}}</div>
                                             </td>
 
+                                          <td *ngIf="!selectedCommunityPid">
+                                            <div class="portalType" href="#">{{check.page.portalType}}</div>
+                                          </td>
                                             <td  *ngIf="isPortalAdministrator" >
                                                 <div class="actions" href="#">
                                                     <input title="Edit" src="assets/imgs/icn_edit.png" class="edit uk-margin-small-right" type="image" (click)="editPage(i)">
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/page/pages.component.ts
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/page/pages.component.ts	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/pages/page/pages.component.ts	(revision 59297)
@@ -231,6 +231,7 @@
     let page: Page = this.checkboxes[i].page;
     this.formGroup.patchValue(page);
     this.formComponent.setEntities(page.entities as Entity[]);
+    this.formGroup.controls['portalType'].disable();
 
     //console.info(this.formGroup.value);
     //this.updateModal.showModal();
@@ -239,6 +240,7 @@
   }
 
   public newPage() {
+    this.formGroup.controls['portalType'].enable();
     this.formComponent.reset();
     this.modalErrorMessage = '';
     this.pagesModalOpen(this.alertModalSavePage, 'Save', 'Add a new Page');
@@ -283,6 +285,7 @@
         this.pagesModalOpen(this.alertModalUpdatePage, 'Update', 'Update Page');
         this.modalErrorMessage = 'Please fill in all required fields marked with *';
       } else {
+        this.formGroup.controls['portalType'].enable();
         this._helpContentService.updatePage(<Page>this.formGroup.value, this.properties.adminToolsAPIURL).subscribe(
           page => {
             this.pageUpdatedSuccessfully(page);
@@ -316,7 +319,7 @@
   }
 
   public filterPages(page: Page): boolean {
-    let textFlag = this.searchText.toString() == '' || (page.route + ' ' + page.name).match(this.searchText) != null;
+    let textFlag = this.searchText.toString() == '' || (page.route + ' ' + page.name + ' ' + page.type + ' ' + page.portalType).match(this.searchText) != null;
     return textFlag;
   }
 
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/services/help-content.service.ts
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/services/help-content.service.ts	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/services/help-content.service.ts	(revision 59297)
@@ -3,7 +3,7 @@
  */
 import { Injectable } from '@angular/core';
 import {HttpClient, HttpErrorResponse, HttpHeaders} from "@angular/common/http";
-import { Observable } from 'rxjs';
+import {Observable, Subscription} from 'rxjs';
 import { Page } from "../domain/page";
 import { PageHelpContent } from "../domain/page-help-content";
 import { Community } from "../domain/community";
@@ -14,6 +14,7 @@
 import { CustomOptions } from '../openaireLibrary/services/servicesUtils/customOptions.class';
 import {catchError, map} from "rxjs/operators";
 import {COOKIE} from "../openaireLibrary/login/utils/helper.class";
+import {properties} from "../../environments/environment";
 
 
 @Injectable()
@@ -38,7 +39,7 @@
           parameters += "&page="+page_id;
         }
         if(pid) {
-          parameters += "&communityId="+pid;
+          parameters += "&portal="+pid;
         }
       }
 
@@ -82,13 +83,13 @@
     }
 */
     getCommunityPagesWithDivId(community_pid: string, helpContentUrl:string) {
-        return this.http.get<Array<Page>>(helpContentUrl + 'community/'+community_pid+'/pages?div=true')
+        return this.http.get<Array<Page>>(helpContentUrl + properties.adminToolsPortalType + '/'+community_pid+'/pages?div=true')
             //.map(res => <Array<Page>> res.json())
             .pipe(catchError(this.handleError));
     }
 
     getCommunityDivHelpContents(community_pid: string, helpContentUrl:string) {
-      return this.http.get<Array<DivHelpContent>>(helpContentUrl + 'divhelpcontent?community='+community_pid)
+      return this.http.get<Array<DivHelpContent>>(helpContentUrl + 'divhelpcontent?portal='+community_pid)
           //.map(res => <Array<DivHelpContent>> res.json())
           .pipe(catchError(this.handleError));
     }
@@ -125,7 +126,7 @@
     }
 
     getPagesWithDivIds(community_pid: string, helpContentUrl:string) {
-        let parameters = (community_pid ? "?communityId="+community_pid : "");
+        let parameters = (community_pid ? "?portal="+community_pid : "");
         return this.http.get<Array<string>>(helpContentUrl + 'div/pages'+parameters)
             //.map(res => <Map<string, Set<string>>> res.json())
             .pipe(catchError(this.handleError));
@@ -165,25 +166,25 @@
     }
 
     getCommunities( helpContentUrl:string) {
-        return this.http.get<Array<Community>>(helpContentUrl + 'community')
+        return this.http.get<Array<Community>>(helpContentUrl + properties.adminToolsPortalType)
             //.map(res => <Array<Community>> res.json())
             .pipe(catchError(this.handleError));
     }
 
     getCommunity(community_pid: string, helpContentUrl:string) {
-        return this.http.get<Community>(helpContentUrl + 'community/'+community_pid)
+        return this.http.get<Community>(helpContentUrl + properties.adminToolsPortalType + '/'+community_pid)
             //.map(res => <Community> res.json())
             .pipe(catchError(this.handleError));
     }
 
     getCommunitiesFull( helpContentUrl:string) {
-        return this.http.get<Array<Community>>(helpContentUrl + 'communityFull')
+        return this.http.get<Array<Community>>(helpContentUrl + properties.adminToolsPortalType + 'Full')
             //.map(res => <Array<Community>> res.json())
             .pipe(catchError(this.handleError));
     }
 
     getCommunityFull(community_pid: string, helpContentUrl:string) {
-        return this.http.get<Community>(helpContentUrl + 'communityFull/'+community_pid)
+        return this.http.get<Community>(helpContentUrl + properties.adminToolsPortalType + 'Full/'+community_pid)
             //.map(res => <Community> res.json())
             .pipe(catchError(this.handleError));
     }
@@ -194,7 +195,7 @@
 
         HelpContentService.removeNulls(community);
 
-        return this.http.post<Community>(helpContentUrl + 'community/save', JSON.stringify(community), CustomOptions.getAuthOptionsWithBody())
+        return this.http.post<Community>(helpContentUrl + community.type + '/save', JSON.stringify(community), CustomOptions.getAuthOptionsWithBody())
         //.map(res => <Community> res.json())
             .pipe(catchError(this.handleError));
     }
@@ -205,7 +206,7 @@
 
         HelpContentService.removeNulls(community);
 
-        return this.http.post<Community>(helpContentUrl + 'community/update', JSON.stringify(community),  CustomOptions.getAuthOptionsWithBody())
+        return this.http.post<Community>(helpContentUrl + community.type + '/update', JSON.stringify(community),  CustomOptions.getAuthOptionsWithBody())
             //.map(res => <Community> res.json())
             .pipe(catchError(this.handleError));
     }
@@ -214,12 +215,12 @@
         // let headers = new Headers({'Content-Type': 'application/json'});
         // let options = new RequestOptions({headers: headers});
 
-        return this.http.post(helpContentUrl + 'community/delete',JSON.stringify(ids), CustomOptions.getAuthOptionsWithBody())
+        return this.http.post(helpContentUrl + properties.adminToolsPortalType + '/delete',JSON.stringify(ids), CustomOptions.getAuthOptionsWithBody())
             .pipe(catchError(this.handleError));
     }
 
     getCommunityPages(community_pid: string, params: string, helpContentUrl:string) {
-        return this.http.get<Array<Page>>(helpContentUrl + 'community/'+community_pid+'/pages'+params)
+        return this.http.get<Array<Page>>(helpContentUrl + properties.adminToolsPortalType + '/'+community_pid+'/pages'+params)
             //.map(res => <Array<Page>> res.json())
             .pipe(catchError(this.handleError));
     }
@@ -231,7 +232,7 @@
     }
 
     getCommunityEntities(community_pid: string, helpContentUrl:string) {
-        return this.http.get<Array<Entity>>(helpContentUrl + 'community/'+community_pid+'/entities')
+        return this.http.get<Array<Entity>>(helpContentUrl + properties.adminToolsPortalType + '/'+community_pid+'/entities')
             //.map(res => <Array<Entity>> res.json())
             .pipe(catchError(this.handleError));
     }
@@ -263,7 +264,7 @@
 
     toggleEntities(selectedCommunityPid: string, ids : string[],status : boolean, helpContentUrl:string) {
 
-        return this.http.post(helpContentUrl +'community/'+selectedCommunityPid+ '/entity/toggle?status='+ status.toString(), JSON.stringify(ids), CustomOptions.getAuthOptionsWithBody())
+        return this.http.post(helpContentUrl + properties.adminToolsPortalType + '/'+selectedCommunityPid+ '/entity/toggle?status='+ status.toString(), JSON.stringify(ids), CustomOptions.getAuthOptionsWithBody())
             //.map( res => <string[]> res.json())
             .pipe(catchError(this.handleError));
     }
@@ -298,7 +299,7 @@
 
     togglePages(selectedCommunityPid: string, ids : string[],status : boolean, helpContentUrl:string) {
 
-        return this.http.post(helpContentUrl + 'community/'+selectedCommunityPid+'/page/toggle?status='+ status.toString(),JSON.stringify(ids), CustomOptions.getAuthOptionsWithBody())
+        return this.http.post(helpContentUrl + properties.adminToolsPortalType + '/'+selectedCommunityPid+'/page/toggle?status='+ status.toString(),JSON.stringify(ids), CustomOptions.getAuthOptionsWithBody())
             .pipe(catchError(this.handleError));
     }
 
@@ -315,7 +316,7 @@
     }
 
     getCommunityPageHelpContents(community_pid: string, helpContentUrl:string) {
-        return this.http.get<Array<PageHelpContent>>(helpContentUrl + 'pagehelpcontent?community='+community_pid)
+        return this.http.get<Array<PageHelpContent>>(helpContentUrl + 'pagehelpcontent?portal='+community_pid)
             //.map(res => <Array<PageHelpContent>> res.json())
             .pipe(catchError(this.handleError));
     }
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/app.component.html
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/app.component.html	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/app.component.html	(revision 59297)
@@ -1,5 +1,5 @@
 <navbar *ngIf="properties && showMenu" portal="connect-admin" logoPath="assets/imgs/" [onlyTop]="false"
-        [userMenu]="true" [dark]="true"
+        [userMenu]="true"
         [homeurl]="false" [user]="user" [userMenuItems]="userMenuItems" [menuItems]="menuItems"
         [properties]="properties"
         [community]="community"></navbar>
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/domain/page-help-content.ts
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/domain/page-help-content.ts	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/domain/page-help-content.ts	(revision 59297)
@@ -7,7 +7,7 @@
 export interface PageHelpContent {
     _id: string;
     page: Page | string;
-    community: Community | string;
+    portal: Community | string;
     placement: string;
     order: number;
     content: string;
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/domain/divId.ts
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/domain/divId.ts	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/domain/divId.ts	(revision 59297)
@@ -4,9 +4,7 @@
     _id: string;
     name: string;
     pages: string[] | Page[];
-    connect: boolean;
-    communities: boolean;
-    openaire: boolean;
+    portalType: string;
 }
 
 export interface CheckDivId {
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/domain/community.ts
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/domain/community.ts	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/app/domain/community.ts	(revision 59297)
@@ -5,6 +5,7 @@
     _id: string;
     pid: string;
     name: string;
+    type: string;
     entities: string[] | Entity[];
     pages: string[] | Page[];
 }
Index: modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/environments/environment.beta.ts
===================================================================
--- modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/environments/environment.beta.ts	(revision 59296)
+++ modules/uoa-admin-portal/branches/use-UoaAdminToolsLibrary/src/environments/environment.beta.ts	(revision 59297)
@@ -2,6 +2,7 @@
 
 export let properties: EnvProperties = {
   environment: "beta",
+  adminToolsPortalType: "community",
   enablePiwikTrack: false,
   useCache: false,
   metricsAPIURL: "https://beta.services.openaire.eu/usagestats/",
